﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string SuryoCon = ConfigurationManager.ConnectionStrings["SuryoConnection"].ConnectionString;
        SqlConnection con = new SqlConnection(SuryoCon);
        try
        {
            con.Open();
            Label1.Text = "<b>Server Version : </b>" + con.ServerVersion + "<br>";
            Label1.Text += "<b>State Connection : </b>" + con.State.ToString() + "<br>";
            Label1.Text += "<b>Timeout : </b>" + con.ConnectionTimeout.ToString() + "<br>";
            Label1.Text += "<b>Database : </b>" + con.Database.ToString() + "<br>" ;
            Label1.Text += "<b>DataSource : </b>" + con.DataSource.ToString() + "<br>";
            Label1.Text += "<b>Statistic Enabled : </b>" + con.StatisticsEnabled.ToString() + "<br>";
            Label1.Text += "<b>Workstation ID : </b>" + con.WorkstationId.ToString() + "<br>";
        }
        catch(Exception kesalahan)
        {
            Label1.Text = "ADA MASALAH PADA DATABASE : ";
            Label1.Text += kesalahan.Message;
        }
        finally
        {
            con.Close();
            con.Dispose();
        }
        
        
 
        
    }
}
