﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Windows.Forms;

public partial class Default4 : System.Web.UI.Page
{
    private void isiData()
    {
        string SuryoCon = ConfigurationManager.ConnectionStrings["SuryoConnection"].ConnectionString;
        SqlConnection con = new SqlConnection(SuryoCon);
        try
        {
            con.Open();
            SqlCommand com = new SqlCommand("select namaBarang , Stok , KdBarang from MsBarang ", con);
            SqlDataReader rd;
            rd = com.ExecuteReader();
            while (rd.Read())
            {
                ListItem DaftarItem = new ListItem();
                DaftarItem.Text = rd["NamaBarang"] + " ( " + rd["Stok"] + " ) ";
                DaftarItem.Value = rd["KdBarang"].ToString();
                DropDownList1.Items.Add(DaftarItem);
            }
            rd.Close();
            com.CommandText = "Select NamaPembeli , KdPembeli from msbuyer";
            rd = com.ExecuteReader();
            while (rd.Read())
            {
                RadioButtonList1.Items.Add(rd["NamaPembeli"].ToString());
            }
            rd.Close();
            rd.Dispose();
        }
        catch (Exception kesalahan)
        {
            MessageBox.Show(kesalahan.ToString());
        }
        finally
        {
            con.Close();
            con.Dispose();
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {

        if (!this.IsPostBack)
        {
            isiData();
        }
        else
        {
            if (RadioButtonList1.SelectedItem == null)
            {
                MessageBox.Show("Nama Pembeli Tidak Boleh Kosong");
                return;
            }
            MessageBox.Show(DropDownList1.SelectedItem.Text);
            MessageBox.Show(DropDownList1.SelectedItem.Value);
        }
    }
    
}
